Linux Headquarters
[ Register ]
[ About us ] [ Home Page ]

Advertisement
[ Kernel ] [ Documentation ] [ Links ] [ Books ]

Advertisement

Kernel v2.4.6 /scripts/docgen

Filename:/scripts/docgen
Lines Added:9
Lines Deleted:2
Also changed in: (Previous) 2.4.6-pre9  2.4.6-pre8  2.4.6-pre7  2.4.6-pre6  2.4.6-pre5  2.4.5-ac24 
(Following) 2.5.29 

Location
[  2.4.6
  [  scripts
     o  docgen

Patch

diff -u --recursive --new-file v2.4.5/linux/scripts/docgen linux/scripts/docgen
--- v2.4.5/linux/scripts/docgen   Tue Mar 14 17:54:42 2000
+++ linux/scripts/docgen   Wed Jun 20 20:56:24 2001
@@ -1,3 +1,10 @@
 #!/bin/sh
-X=`$TOPDIR/scripts/gen-all-syms "$*"`
-$TOPDIR/scripts/docproc $X
+set -e
+if [ -z "$scripts_objtree" ]
+then
+   X=`$TOPDIR/scripts/gen-all-syms "$*"`
+   $TOPDIR/scripts/docproc $X
+else
+   X=`${scripts_objtree}gen-all-syms "$*"`
+   TOPDIR=. ${scripts_objtree}docproc $X
+fi


Comments: webmaster (at) linuxhq.com.
Advertising: banners (at) linuxhq.com.
Compilation ©1998-2008 Linux Headquarters, Inc.